"""DSRS URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path
from django.conf.urls import include, url
from student import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('student/', include('student.urls')),
    url(r'^$', views.index_view, name='index'),
    url(r'^about/', views.AboutView.as_view(), name='about'),
    url(r'^contactus/', views.ContactUsView.as_view(), name='contactus'),
    url(r'^depts/', views.DeptsView.as_view(), name='depts'),
    url(r'^logout/$', views.user_logout, name='logout'),
    url(r'^home/$', views.home, name='home'),


]
